summaryrefslogtreecommitdiffstats
path: root/crypto/openssh/regress/broken-pipe.sh
diff options
context:
space:
mode:
Diffstat (limited to 'crypto/openssh/regress/broken-pipe.sh')
-rw-r--r--crypto/openssh/regress/broken-pipe.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/crypto/openssh/regress/broken-pipe.sh b/crypto/openssh/regress/broken-pipe.sh
new file mode 100644
index 0000000..c08c849
--- /dev/null
+++ b/crypto/openssh/regress/broken-pipe.sh
@@ -0,0 +1,15 @@
+# $OpenBSD: broken-pipe.sh,v 1.4 2002/03/15 13:08:56 markus Exp $
+# Placed in the Public Domain.
+
+tid="broken pipe test"
+
+for p in 1 2; do
+ trace "protocol $p"
+ for i in 1 2 3 4; do
+ ${SSH} -$p -F $OBJ/ssh_config_config nexthost echo $i 2> /dev/null | true
+ r=$?
+ if [ $r -ne 0 ]; then
+ fail "broken pipe returns $r for protocol $p"
+ fi
+ done
+done
OpenPOWER on IntegriCloud